API v2 · Revendedores
Documentação da API
Integre pedidos ao seu painel, bot ou site. Formato compatível com painéis SMM (Perfect Panel style). Autenticação por API Key da sua conta.
Endpoint
HTTP Method
POST
API URL
https://rtsmm.com.br/api/v2
Response
JSON
Service list
| Parameters | Description |
|---|---|
| key | Your API key |
| action | services |
Example response
[
{
"service": 1,
"name": "Followers Instagram",
"type": "Default",
"category": "Instagram",
"rate": "1.20",
"min": "50",
"max": "10000",
"refill": true,
"cancel": true
}
]
Add order
| Parameters | Description |
|---|---|
| key | Your API key |
| action | add |
| service | Service ID |
| link | Link |
| quantity | Quantity |
Example response
{
"order": 23501
}
Order status
| Parameters | Description |
|---|---|
| key | Your API key |
| action | status |
| order | Order ID |
Example response
{
"charge": "0.27819",
"start_count": "3572",
"status": "Partial",
"remains": "157",
"currency": "BRL"
}
Multiple orders status
| Parameters | Description |
|---|---|
| key | Your API key |
| action | status |
Example response
{
"1": {
"charge": "0.27",
"status": "Completed",
"remains": "0",
"start_count": "10",
"currency": "BRL"
}
}
Create refill
| Parameters | Description |
|---|---|
| key | Your API key |
| action | refill |
| order | Order ID |
Example response
{
"refill": "1"
}
User balance
| Parameters | Description |
|---|---|
| key | Your API key |
| action | balance |
Example response
{
"balance": "100.84",
"currency": "BRL"
}
Exemplo cURL
curl -X POST https://rtsmm.com.br/api/v2 \ -d "key=SUA_API_KEY" \ -d "action=services"
curl -X POST https://rtsmm.com.br/api/v2 \ -d "key=SUA_API_KEY" \ -d "action=add" \ -d "service=1" \ -d "link=https://instagram.com/p/xxx" \ -d "quantity=1000"